#!/bin/bash

# Lanseaza procedura upgrade in regim multisocietate
# Vor fi parcurse toate bazele de date si se lanseaza
# procedura upgrade in mod silentios
# ------------------------------------------------------------
# ParametrU: baza de date
#

SPROGRAM=hBILANT
SCODAPL=B

clear
echo
echo "Upgrade $SPROGRAM in regim multisocietate"
echo "************************************************************************"
echo

BD=$1
if [ -z $BD ] ; then
# nu s-a transmis baza de date ca parametru, se citeste
    read -p "Baza de date $SPROGRAM: " BD
    echo
fi

if ls $BD/FILES.DBF &> /dev/null; then
    # seteaza modul silentios
    export LMODSILENTIOS=DA
    
    if [ -z $1 ] ; then
       # lanseaza scriptul pentru executia in regim multisocietate
       ./HMET2UP $BD $SCODAPL TMP/TMP$SCODAPL/FMULTIS.TXT 
    else
       # lanseaza procedura upgrade pentru pentru o singura BD
       ./HMET2UP $BD $SCODAPL
    fi
else
    echo 
    echo $BD" nu este o baza de date de tip HAMOR !"
    echo "Reluati ..."
    echo
    exit 1
fi
